%INPUT
clear
clc
close all

%Load each folder consecutively to get Figure 4.27
  load('yPYC.mat')
%  load('yPYIm.mat')
% load('yPYIm40.mat')
% load('yPYIs.mat')
% load('yPYMm.mat')
% load('yPYMm40.mat')
% load('yPYMs.mat')
% load('yPYN.mat')
% load('yPYIsIm05.mat')
% load('yPYIsIm1.mat')
% load('yPYIsIm15.mat')
% load('yPYIsIm2.mat')

Is=[0:0.2:2];
number=length(Is);
PWHY=0;
IWHY=0;

for i=1:5
    ED=eval(['ED' num2str(i)]);
    
    PY=ED(find(ED~=0));
    PYm=mean(PY);
    PYs=std(PY);

    figure(1)
    hold on   
    a=[0:0.05:1];
    histogram(PY,a);
    
    figure(2)
    hold on
    b=[0:0.005:1];
    %f1=exp(-(b-PYm).^2./(2*PYs^2))./(PYs*sqrt(2*pi))+exp(-(b+PYm).^2./(2*PYs^2))./(PYs*sqrt(2*pi));
    f2=(sqrt(2)*exp(-(b.^2)./(2*PYs^2)))./(PYs*sqrt(pi))
    plot(b,f2,'-');
    axis([0 1 0 8]);

% figure(3)
% hold on 
% plot(Im(i),PYm,'*')


PYM(i)=PYm;
PYS(i)=PYs;
PWHY=[PWHY PY];
IWHY=[IWHY ones(1,length(PY))*i];

end

% figure(4)
% hold on 
% boxplot(PWHY,IWHY)
% figure(6)
% hold on 
% errorbar(PYM,PYS)
